Skip to main content

List Attached Domains Of Certificate

This API is used to list all domains that have attached a specified SSL certificate.

Request​

Request-Line​

GET /cdn/v1.0/certificates/{certificateId}/services HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
certificateIdIntegerMandatoryThe unique identifier of the certificate.

Response​

Response Body​

ParameterTypeDescription
ArrayArray of Services Of Certificate object.

Object: Services Of Certificate​

ParameterTypeDescription
certificateIdIntegerThe unique identifier of the certificate.
domainNameStringThe domain name that has attached this certificate.

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400InvalidService.CertificateIdThe certificate ID is empty or invalid.

Examples​

List Attached Domains Of Certificate​

Request​

GET /cdn/v1.0/certificates/2978/services HTTP/1.1

Successful Response Body​

[
{
"certificateId": 2978,
"domainName": "1.FlashCone.com"
},
{
"certificateId": 2978,
"domainName": "lana.FlashCone.com"
},
{
"certificateId": 2978,
"domainName": "2.FlashCone.com"
}
]